<?php
/**
 * @author      Lefteris Kavadas
 * @copyright   Copyright (c) 2016 - 2024 Lefteris Kavadas / firecoders.com
 * @license     GNU General Public License version 3 or later
 */
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

class Route66ViewInstantArticlesFeed extends HtmlView
{
	protected $form;
	protected $state;
	protected $item;

	public function display($tpl = null)
	{
		$this->form = $this->get('Form');
		$this->item = $this->get('Item');
		$this->state = $this->get('State');
		$this->params = ComponentHelper::getParams('com_route66');

		if (count($errors = $this->get('Errors')))
		{
			throw new \Exception(500, implode("\n", $errors));

			return false;
		}

		$this->loadHelper('html');

		ToolBarHelper::title(Text::_('COM_ROUTE66_FACEBOOK_INSTANT_ARTICLES_FEED_TITLE'), 'lightning');
		Factory::getApplication()->input->set('hidemainmenu', true);

		ToolBarHelper::apply('instantarticlesfeed.apply');
		ToolBarHelper::save('instantarticlesfeed.save');
		ToolbarHelper::save2copy('instantarticlesfeed.save2copy');
		ToolBarHelper::cancel('instantarticlesfeed.cancel');

		HTMLHelper::_('jquery.framework');
		HTMLHelper::_('behavior.formvalidator');
		HTMLHelper::_('behavior.keepalive');

		if (version_compare(JVERSION, '4.0', 'lt'))
		{
			HTMLHelper::_('behavior.tooltip');
			HTMLHelper::_('formbehavior.chosen', 'select');
		}

		parent::display($tpl);
	}
}
