<?php
/**
 * @author      Lefteris Kavadas
 * @copyright   Copyright (c) 2016 - 2024 Lefteris Kavadas / firecoders.com
 * @license     GNU General Public License version 3 or later
 */
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

class Route66ViewSitemaps extends HtmlView
{
	protected $items;
	protected $state;
	protected $pagination;

	public function display($tpl = null)
	{
		$this->items = $this->get('Items');
		$this->state = $this->get('State');
		$this->pagination = $this->get('Pagination');
		$this->filterForm = $this->get('FilterForm');
		$this->activeFilters = $this->get('ActiveFilters');

		if (count($errors = $this->get('Errors')))
		{
			throw new \Exception(500, implode("\n", $errors));

			return false;
		}

		ToolBarHelper::title(Text::_('COM_ROUTE66_SITEMAPS_TITLE'), 'tree-2');
		ToolBarHelper::addNew('sitemap.add');
		ToolbarHelper::publish('sitemaps.publish', 'JTOOLBAR_PUBLISH', true);
		ToolbarHelper::unpublish('sitemaps.unpublish', 'JTOOLBAR_UNPUBLISH', true);
		ToolBarHelper::deleteList('JGLOBAL_CONFIRM_DELETE', 'sitemaps.delete');

		$this->loadHelper('html');
		$this->sidebar = Route66HelperHtml::getSidebar('sitemaps');
		Route66HelperHtml::addOptionsButton();

		if (version_compare(JVERSION, '4.0', 'lt'))
		{
			HTMLHelper::_('formbehavior.chosen', 'select');
		}
		else
		{
			$document = Factory::getDocument();
			$document->addStyleDeclaration('body.com_route66.view-sitemaps a[target="_blank"]::before {content: "";}');
		}

		parent::display($tpl);
	}
}
