<?php
/**
 * @author      Lefteris Kavadas
 * @copyright   Copyright (c) 2016 - 2024 Lefteris Kavadas / firecoders.com
 * @license     GNU General Public License version 3 or later
 */
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;
use Joomla\CMS\Language\Text;

class Route66ViewSitemapIndex extends HtmlView
{
	public function display($tpl = null)
	{
		$application = Factory::getApplication();
		JLoader::register('Route66ModelSitemap', JPATH_ADMINISTRATOR . '/components/com_route66/models/sitemap.php');
		$model = BaseDatabaseModel::getInstance('Sitemap', 'Route66Model', array('ignore_request' => true));
		$this->item = $model->getItem($application->input->getInt('id'));

		if (!$this->item->state)
		{
			throw new \Exception(404, Text::_('JERROR_PAGE_NOT_FOUND'));
		}

		$this->items = $model->getSitemapIndex($this->item);
		parent::display($tpl);
	}
}
